cudaChannelFormatDesc
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaChannelFormatDesc

    java.lang.Object
      jcuda.runtime.cudaChannelFormatDesc

    public class cudaChannelFormatDesc

extends java.lang.Object

Java port of the cudaChannelFormatDesc.
Most comments are taken from the CUDA reference manual.

See Also:
  `JCuda.cudaMallocArray(jcuda.runtime.cudaArray, jcuda.runtime.cudaChannelFormatDesc, long, long)`, `JCuda.cudaMalloc3DArray(jcuda.runtime.cudaArray, jcuda.runtime.cudaChannelFormatDesc, jcuda.runtime.cudaExtent)`, `cudaChannelFormatKind`

Field Summary
`int` | `f` The channel format kind.
`int` | `w` Number of bits in w component
`int` | `x` Number of bits in x component
`int` | `y` Number of bits in y component
`int` | `z` Number of bits in z component

Constructor Summary
`cudaChannelFormatDesc()` Creates an uninitialized cudaChannelFormatDesc
`cudaChannelFormatDesc(int x, int y, int z, int w, int f)` Creates a cudaChannelFormatDesc with the given bit counts and the given format kind.

Method Summary
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

  Number of bits in x component

### y

    public int y

  Number of bits in y component

### z

    public int z

  Number of bits in z component

### w

    public int w

  Number of bits in w component

### f

    public int f

  The channel format kind. Must be one of the cudaChannelFormatKind values.

  See Also:
    `cudaChannelFormatKind`

Constructor Detail

### cudaChannelFormatDesc

    public cudaChannelFormatDesc()

  Creates an uninitialized cudaChannelFormatDesc

### cudaChannelFormatDesc

    public cudaChannelFormatDesc(int x,
                                 int y,
                                 int z,
                                 int w,
                                 int f)

  Creates a cudaChannelFormatDesc with the given bit counts and the given format kind.

  Parameters:
    `x` - Number of bits in x component
    `y` - Number of bits in y component
    `z` - Number of bits in z component
    `w` - Number of bits in w component
    `f` - The format kind
  See Also:
    `cudaChannelFormatKind`

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD